part of json_config;

class JsonConfig {

  Dictionary _config;

  JsonConfig(JsonConfigPath path) : this.fromMultiple(new List(path));

  JsonConfig.fromMultiple(List<JsonConfigPath> paths) {
    this._config = paths.fold(new Dictionary(), (memo, v) {
      return memo.merge(v.load());
    });
  }

  Option<dynamic> get(String key) {
    return this._config.get(key);
  }

  dynamic getOrElse(String key, dynamic alternative) {
    return this.get(key).getOrElse(alternative);
  }

}